Page MenuHomePhabricator

Text area main edit window cannot be re-sized
Closed, ResolvedPublic

Description

The window handle on the right bottom corner that is used to size the text area is frozen. Header and footer sizing works. It is the same in the side by side, and over/under editing mode and it is also frozen on the user talk text edit areas and in Wiktionary as well. I assume that all Wikisource edit areas are affected because it is also frozen in it.Wikisource. Please see this image: https://en.wikisource.org/wiki/File:Frozen_textarea_sizer.jpg

Event Timeline

Ineuw created this task.Oct 5 2016, 10:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 5 2016, 10:20 PM

The closest I can come to reproducing this in Chrome and Firefox is that there's a minimum height for the main textarea in the proofreadpage mode, and the handle doesn't allow resizing smaller than that. But resizing larger does work, and resizing to anything works on other (non-proofreadpage) pages, like talk pages.

What web browser are you using? Is there anything being show in the Javascript console that might shed any light on things?

Ineuw added a comment.Oct 6 2016, 5:21 AM

I set preferences edit from 4 (minimum) and to 23 rows up and it does not alter the window size at all. The main textarea height is frozen at 275 pixels. I use Firefox for production but also Chrome/Chromium to check and compare. In this case both browsers are frozen.

The console shows the following message:
This page is using the deprecated ResourceLoader module "jquery.ui.widget".load.php:31:281
This page is using the deprecated ResourceLoader module "jquery.ui.core".
Please use "mediawiki.ui.button" or "oojs-ui" instead.load.php:1:72

@Ineuw: When reporting bugs, please provide a link to reproduce the problem and your personal settings (for example I assume "Horizontal layout when editing in the Page: namespace" is enabled under https://en.wikisource.org/wiki/Special:Preferences#mw-prefsection-editing and maybe other things). This allows others to reproduce the problem. I've tried for a few minutes but cannot even get the screen to look like yours in your screenshot.
Thanks!

Ineuw added a comment.Oct 6 2016, 3:36 PM

@Aklapper: This is the page of the above indicated image: https://en.wikisource.org/w/index.php?title=Page:Popular_Science_Monthly_Volume_54.djvu/668&action=edit

The height of the OCR image was reduced by installing Alex brollo's makeshift code:
https://meta.wikimedia.org/wiki/User:Ineuw/global.js. - The OCR image needs to be clicked to work.
This global.js has no effect on the problem which existed before this javascript. Remove it and the problem still exists.
Normally vector is used, but tested it with monobook as well. - No change.

Preferences edit settings: https://en.wikisource.org/wiki/File:Preferences_edit_tab.jpg
Preferences gadget settings: https://en.wikisource.org/wiki/File:Preferences_gadgets_tab.jpg
Common js: https://en.wikisource.org/wiki/User:Ineuw/common.js
Common.css is empty
Global js: https://meta.wikimedia.org/wiki/User:Ineuw/global.js.
Global.css: https://meta.wikimedia.org/wiki/User:Ineuw/global.css

If you need more info please let me know.

Ineuw added a comment.Oct 6 2016, 8:48 PM

I repaired the problem by deleting all the cookies and logins. Please close this ticket.

Samwilson closed this task as Resolved.Oct 6 2016, 11:20 PM
Samwilson claimed this task.

@Ineuw: I'm glad you got it sorted! :-) That's good.

happy5214 moved this task from Backlog to Closed on the WikiEditor board.Aug 4 2019, 11:35 AM